% GNOME Radio / Public Network Radio Software for Accessing Free Audio Broadcasts
% Ole Aamot (`ole@gnome.org`)
% August 23, 2019

---

## Public Network Radio Software for Accessing Free Audio Broadcasts

<!-- Use > to make lists show incrementally. Oh you noticed?
     This is a comment! -->
> - Map Audio

> - Play Radio

> - Design Philosophy

GNOME Radio is the Public Network Radio Software for Accessing Free Audio Broadcasts from the Internet.

You probably want to know the location of a radio broadcast of curiosity or of political, geographically and socially interest.

## Resolution to locating Free Audio Maps

The information on the Internet is organized by domain names such as gnome.org, mit.edu and google.com as well as by IP addresses, but not by the physical location of the content authors.

## Solution

I wrote a Data Type Definition for Free Internet Radio elements in 2002 where I published location data about Free Radio stations in XML on http://girl.software/gnome-internet-radio-locator.xml and a Graphical Interface written in the C programming language with open-source/free software libraries such as Cairo, Champlain, and Clutter in GNOME 3.  On February 20, 2019 I published the Graphical Interface on http://download.gnome.org/sources/gnome-internet-radio-locator/2.0/gnome-internet-radio-locator-2.0.0.tar.xz as part of the GNOME open-source/free software Desktop project.  On February 21, 2019 I began working on gnome-radio and on August 8, 2019 I announced GNOME Radio Position Paper on http://gnomeradio.org/~ole/GNOMERadio2019.pdf

## Background

I have worked as a Free Software developer on the GNOME desktop project since 1998.  I have developed GNOME Internet Radio Locator published as version 2.0.4 since 2002 at Norwegian Computing Center, one of the research foundations in Oslo, Norway.  I am doing statistical, mathematical and technical research for private companies, the general public and government bodies.

## Research

I spent 5 years between 2014-2019 doing research on which Free Radio stations to include and locate.

## Conclusion

By undertaking the work of GNOME Radio in 2019, we will be able to locate Free Radio stations and select audio from a map and play and listen to radio from the map by installing gnome-radio on a computer and identify the location, for politically, geographically or socially purposes.

## References

> http://wiki.gnome.org/Apps/Radio

> http://gitlab.gnome.org/ole/gnome-radio.git

> http://gnomeradio.org/0.1/gnome-radio-0.1.4.tar.gz

> http://gnomeradio.org/

## Wiki

> http://wiki.gnome.org/Apps/Radio

## Design

Cairo

Champlain

Clutter

GStreamer

GTK+

## Community

> #gnome-radio (IRC)

## Availability

Source code is available in the gnome-radio repository on https://gitlab.gnome.org/ole/gnome-radio

GNOME Radio 0.1.4 is available with New York Public Radio Network

## Compiling

> wget http://gnomeradio.org/0.1/gnome-radio-0.1.4.tar.gz

> tar zxvf gnome-radio-0.1.4.tar.gz

> cd gnome-radio-0.1.4/

> ./configure

> make

> make install

## Running

> gnome-radio

## History

> GNOME Radio Project and 0.1.0 announced August 8, 2019

> gnome-radio 0.1.4 with New York Public Radio Network

> https://wiki.gnome.org/Apps/Radio

> http://www.gnomeradio.org/

## Screenshot

-![GNOME Radio 0.1.4](gnome-radio.png){width=80%}\
