/*
 * Copyright (c) 2015 Jonas Danielsson
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Jonas Danielsson <jonas@threetimestwo.org>
 */

#ifndef __RADIO_CONTACT_H__
#define __RADIO_CONTACT_H__

#include <glib-object.h>
#include <geocode-glib/geocode-glib.h>

#define RADIO_TYPE_CONTACT radio_contact_get_type ()
G_DECLARE_FINAL_TYPE(RadioContact, radio_contact, RADIO, CONTACT, GObject)

typedef struct _RadioContactPrivate RadioContactPrivate;

/**
 * RadioContactGeocodeCallback:
 * @contact: A #RadioContact object
 */
typedef void (*RadioContactGeocodeCallback) (RadioContact *contact);

struct _RadioContact
{
  GObject parent_instance;
  RadioContactPrivate *priv;
};

struct _RadioContactClass
{
  GObjectClass parent_class;
};

RadioContact *radio_contact_new        (void);
void         radio_contact_add_place  (RadioContact               *contact,
                                      GeocodePlace              *place);
GList *      radio_contact_get_places (RadioContact               *contact);
void         radio_contact_geocode    (RadioContact               *contact,
                                      RadioContactGeocodeCallback callback);
#endif
