/*
 * Copyright (c) 2015 Jonas Danielsson
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Jonas Danielsson <jonas@threetimestwo.org>
 */

#ifndef _RADIO_FILE_TILE_SOURCE_H_
#define _RADIO_FILE_TILE_SOURCE_H_

#include <champlain/champlain.h>

G_BEGIN_DECLS

#define RADIO_TYPE_FILE_TILE_SOURCE radio_file_tile_source_get_type ()

#define RADIO_FILE_TILE_SOURCE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), RADIO_TYPE_FILE_TILE_SOURCE, RadioFileTileSource))

#define RADIO_FILE_TILE_SOURCE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), RADIO_TYPE_FILE_TILE_SOURCE, RadioFileTileSourceClass))

#define RADIO_IS_FILE_TILE_SOURCE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RADIO_TYPE_FILE_TILE_SOURCE))

#define RADIO_IS_FILE_TILE_SOURCE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), RADIO_TYPE_FILE_TILE_SOURCE))

#define RADIO_FILE_TILE_SOURCE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), RADIO_TYPE_FILE_TILE_SOURCE, RadioFileTileSourceClass))

typedef struct _RadioFileTileSourcePrivate RadioFileTileSourcePrivate;

typedef struct _RadioFileTileSource RadioFileTileSource;
typedef struct _RadioFileTileSourceClass RadioFileTileSourceClass;

/**
 * RadioFileTileSource:
 *
 * The #RadioFileTileSource structure contains only private data
 * and should be accessed using the provided API
 *
 */
struct _RadioFileTileSource
{
  ChamplainTileSource parent_instance;

  RadioFileTileSourcePrivate *priv;
};

struct _RadioFileTileSourceClass
{
  ChamplainTileSourceClass parent_class;
};

GType radio_file_tile_source_get_type (void);

gboolean radio_file_tile_source_prepare (RadioFileTileSource *tile_source, GError **error);
G_END_DECLS

#endif /* _RADIO_FILE_TILE_SOURCE_H_ */
