/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef __RADIO_OSM_CHANGESET_H__
#define __RADIO_OSM_CHANGESET_H__

#include <glib-object.h>

#define RADIO_TYPE_OSMCHANGESET radio_osm_changeset_get_type ()
G_DECLARE_FINAL_TYPE(RadioOSMChangeset, radio_osm_changeset, RADIO, OSMCHANGESET,
                     GObject)

typedef struct _RadioOSMChangesetPrivate RadioOSMChangesetPrivate;

struct _RadioOSMChangeset
{
  GObject parent_instance;
  RadioOSMChangesetPrivate *priv;
};

struct _RadioOSMChangesetClass
{
  GObjectClass parent_class;
};

/**
 * radio_osm_changeset_new:
 * @comment: (nullable): A comment about the OSM change, optional
 * @created_by: (nullable): The client identifier of the OSM change, optional
 */
RadioOSMChangeset *radio_osm_changeset_new (const char *comment,
                                          const char *created_by);

char *radio_osm_changeset_serialize (const RadioOSMChangeset *changeset);

#endif /* __RADIO_OSM_CHANGESET_H__ */

