/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef __RADIO_OSM_NODE_H__
#define __RADIO_OSM_NODE_H__

#include "radio-osm-object.h"

#include <glib-object.h>

#define RADIO_TYPE_OSMNODE radio_osm_node_get_type ()
G_DECLARE_FINAL_TYPE(RadioOSMNode, radio_osm_node, RADIO, OSMNODE, RadioOSMObject)

typedef struct _RadioOSMNodePrivate RadioOSMNodePrivate;

struct _RadioOSMNode
{
  RadioOSMObject parent_instance;
  RadioOSMNodePrivate *priv;
};

struct _RadioOSMNodeClass
{
  RadioOSMObjectClass parent_class;
};

RadioOSMNode *radio_osm_node_new (guint64 id, guint version, guint64 changeset,
                                double longitude, double latitude);

#endif //__RADIO_OSM_NODE_H__
