/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef RADIO_OSM_OAUTH_PROXY_CALL_H
#define RADIO_OSM_OAUTH_PROXY_CALL_H

#include <glib-object.h>

#include <rest/oauth-proxy-call.h>
#include <rest/oauth-proxy.h>

G_BEGIN_DECLS

#define RADIO_TYPE_OSM_OAUTH_PROXY_CALL            (radio_osm_oauth_proxy_call_get_type ())
#define RADIO_OSM_OAUTH_PROXY_CALL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), RADIO_TYPE_OSM_OAUTH_PROXY_CALL, RadioOSMOAuthProxyCall))
#define RADIO_OSM_OAUTH_PROXY_CALL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), RADIO_TYPE_OSM_OAUTH_PROXY_CALL, RadioOSMOAuthProxyCallClass))
#define RADIO_IS_OSM_OAUTH_PROXY_CALL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RADIO_TYPE_OSM_OAUTH_PROXY_CALL))
#define RADIO_IS_OSM_OAUTH_PROXY_CALL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RADIO_TYPE_OSM_OAUTH_PROXY_CALL))
#define RADIO_OSM_OAUTH_GET_CLASS(obj)             (G_TYPE_INSTANCE_GET_CLASS ((obj), RADIO_TYPE_OSM_OAUTH_PROXY_CALL, RadioOSMOAuthProxyCallClass))

typedef struct _RadioOSMOAuthProxyCall RadioOSMOAuthProxyCall;
typedef struct _RadioOSMOAuthProxyCallPrivate RadioOSMOAuthProxyCallPrivate;
typedef struct _RadioOSMOAuthProxyCallClass RadioOSMOAuthProxyCallClass;

struct _RadioOSMOAuthProxyCall
{
  OAuthProxyCall parent;
  RadioOSMOAuthProxyCallPrivate *priv;
};

struct _RadioOSMOAuthProxyCallClass
{
  OAuthProxyCallClass parent_class;
};

GType radio_osm_oauth_proxy_call_get_type(void);
RadioOSMOAuthProxyCall *radio_osm_oauth_proxy_call_new (OAuthProxy *proxy,
                                                      const char *content);

G_END_DECLS

#endif /* RADIO_OSM_OAUTH_PROXY_CALL_H */
