/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef __RADIO_OSM_RELATION_H__
#define __RADIO_OSM_RELATION_H__

#include "radio-osm-object.h"

#include <glib-object.h>

#define RADIO_TYPE_OSMRELATION radio_osm_relation_get_type ()
G_DECLARE_FINAL_TYPE(RadioOSMRelation, radio_osm_relation, RADIO, OSMRELATION,
                     RadioOSMObject)

typedef struct _RadioOSMRelationPrivate RadioOSMRelationPrivate;

struct _RadioOSMRelation
{
  RadioOSMObject parent_instance;
  RadioOSMRelationPrivate *priv;
};

struct _RadioOSMRelationClass
{
  RadioOSMObjectClass parent_class;
};

enum {
  MEMBER_TYPE_NODE,
  MEMBER_TYPE_WAY,
  MEMBER_TYPE_RELATION
};

RadioOSMRelation *radio_osm_relation_new (guint64 id, guint version,
                                        guint64 changeset);

void radio_osm_relation_add_member (RadioOSMRelation *relation, const char *role,
                                   guint type, guint64 ref);

#endif /* __RADIO_OSM_RELATION_H__ */

