/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef __RADIO_OSM_WAY_H__
#define __RADIO_OSM_WAY_H__

#include "radio-osm-object.h"

#include <glib-object.h>

#define RADIO_TYPE_OSMWAY radio_osm_way_get_type ()
G_DECLARE_FINAL_TYPE(RadioOSMWay, radio_osm_way, RADIO, OSMWAY, RadioOSMObject)

typedef struct _RadioOSMWayPrivate RadioOSMWayPrivate;

struct _RadioOSMWay
{
  RadioOSMObject parent_instance;
  RadioOSMWayPrivate *priv;
};

struct _RadioOSMWayClass
{
  RadioOSMObjectClass parent_class;
};

RadioOSMWay *radio_osm_way_new (guint64 id, guint version, guint64 changeset);

void radio_osm_way_add_node_id (RadioOSMWay *way, guint64 id);

#endif /* __RADIO_OSM_WAY_H__ */

